package com.mortals.xhx.module.apply.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.apply.model.MatterApplyDatumEntity;
import com.mortals.xhx.module.apply.dao.MatterApplyDatumDao;
/**
* MatterApplyDatumService
*
* 事项申报材料 service接口
*
* @author zxfei
* @date 2023-05-23
*/
public interface MatterApplyDatumService extends ICRUDService<MatterApplyDatumEntity,Long>{

    MatterApplyDatumDao getDao();

    /**
     * 根据申请id删除材料附件
     * @param applyIds
     * @param context
     * @return
     * @throws AppException
     */
    int remobeByApplyIds(Long[] applyIds, Context context) throws AppException;
}